ROText(3pm)

NAME
Tk::ROText - 'readonly' perl/Tk Text widget

SYNOPSIS
    use Tk::ROText;
    ...
    $ro = $mw->ROText(?options,...?);

DESCRIPTION
This "IS A" text widget with all bindings removed that would alter the contents of the text widget. The contents can still be modified via method calls.

  BINDINGS
Only read-only bindings from Tk::Text are available in Tk::ROText. Additionally the following bindings are defined:

<space>
    Move the cursor forward by one screenful.

<BackSpace>
    Move the cursor backward by one screenful.

KEYWORDS
widget, text, readonly

SEE ALSO
Tk::Text